﻿using BPA.SAAS.Manage.Application.AExternalPlatform.Enum;
using BPA.SAAS.Manage.Application.AExternalPlatform.Service.Material.Dtos;
using BPA.SAAS.Manage.Comm.Enum;
using BPA.SAAS.Manage.Core.Base;
using BPA.SAAS.Manage.Core.DataBase;
using BPA.SAAS.Manage.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.AExternalPlatform.Service.CheckService.Services
{
    public interface ICheckServices
    {
        /// <summary>
        ///检查Sign
        /// </summary>
        Task CheckSign(string key, string signStr, string signMd5);

        /// <summary>
        /// 通过key获取用户Id
        /// </summary>
        /// <param name="key"></param>
        /// <returns></returns>
        Task<string> GetUserId(string key);

        /// <summary>
        /// 通过设备Id获取授权码
        /// </summary>
        /// <param name="deviceId"></param>
        /// <returns></returns>
        Task<string> GetAuthKey(int deviceId);
    }
}
