﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.AExternalPlatform.Service.Goods.Dtos
{
    public class GoodsAttributeInsertDto
    {
        public string Id { get; set; }
        /// <summary>
        /// 属性名称
        /// </summary>
        public string AttributeName { get; set; }
        /// <summary>
        /// 工艺分类Id
        /// </summary>
        public string GoodsTypeId { get; set; }
        /// <summary>
        /// 工艺分类名称
        /// </summary>
        public string GoodsTypeName { get; set; }
        public int Sort { get; set; }
        public List<GoodsAttributeInsertValue> GoodsAttributeValueList { get; set; }
    }
    public class GoodsAttributeInsertValue
    {
        public string Id { get; set; }
        /// <summary>
        /// 属性值
        /// </summary>
        public string AttributeValue { get; set; }
        public int Sort { get; set; }
    }
    public class GoodsAttributeValue
    {
        public string Id { get; set; }
        /// <summary>
        ///商品属性id
        /// </summary>
        public string GoodsAttributeId { get; set; }
        /// <summary>
        /// 属性值
        /// </summary>
        public string AttributeValue { get; set; }
        public int Sort { get; set; }
    }
}
