﻿using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase.Dtos.Batching
{
    public class BatchingListQuery : PageInputBase
    {
        /// <summary>
        /// 编号
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 原料编码
        /// </summary>           
        public string Code { get; set; }
        /// <summary>
        /// 原料名称
        /// </summary>           
        public string Name { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? CreateAt { get; set; }
        /// <summary>
        /// 库存单位
        /// </summary>           
        public string StockUint { get; set; }
        /// <summary>
        /// 原料类型
        /// </summary>
        public string Type { get; set; }
    }
}
