﻿using BPA.SAAS.Manage.Comm.Enum;
using BPA.SAAS.Manage.Core.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Principal;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.DataBase
{
    [SugarTable("bpa_batching")]
    public class BPA_Batching: IBaseEntity, IGroupId
    {
        /// <summary>
        /// 原料编码
        /// </summary>
        public string Code { get; set; }
        /// <summary>
        /// 原料名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 配料类型
        /// </summary>
        public int Type { get; set; }
        /// <summary>
        /// 库存单位
        /// </summary>
        public string StockUint { get; set; }
        /// <summary>
        /// 加盟商id
        /// </summary>
        public string GroupId { get; set; }
        /// <summary>
        /// 第三方对接标识
        /// </summary>
        public string Key { get; set; }
    }
}
