﻿using BPA.SAAS.Manage.Application.Device.Dtos.WarehouseTemplate;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.AExternalPlatform.Service.WarehouseTemplate.Dtos
{
    public class WarehouseTemplatInsertDto
    {
        public string Id { get; set; }
        public string DeviceId { get; set; }
        public string TemplateName { get; set; }
        public List<WarehousePostionInsert> WarehousePostionData { get; set; }
    }
    public class WarehousePostionInsert
    {
        //public string Id { get; set; }
        //public string TemplateId { get; set; }
        public string Code { get; set; }
        public string BatchingId { get; set; }
    }
    public class WarehouseTemplatUpdateDto
    {
        public string Id { get; set; }
        public string DeviceId { get; set; }
        public string TemplateName { get; set; }
        public List<WarehousePostionUpdate> WarehousePostionData { get; set; }
    }
    public class WarehousePostionUpdate
    {
        public string Id { get; set; }
        public string TemplateId { get; set; }
        public string Code { get; set; }
        public string BatchingId { get; set; }
    }
}
