﻿using BPA.SAAS.Manage.Application.DataBase.Dtos.GoodsAttributePrice;
using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase.Interface
{
    public interface IGoodsAttributePriceService
    {
        // <summary>
        /// 分页查询
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task<PageUtil> GetGoodsAttributePricePage(GoodsAttributePriceQueryDto dto);
        Task<List<GoodsAttributePriceView>> GetGoodsAttributePriceList(string goodsId);
        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task<bool> AddGoodsAttributePrice(GoodsAttributePriceDto dto);
        /// <summary>
        /// 更新
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task<bool> UpdateGoodsAttributePrice(GoodsAttributePriceDto dto);
        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="Id"></param>
        /// <returns></returns>
       Task<bool> DelGoodsAttributePrice(string Id);
    }
}
