﻿using BPA.SAAS.Manage.Core.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.DataBase
{
    /// <summary>
    /// 配方信息表
    /// </summary>
    [SugarTable("bpa_recipeinfo")]
    public class BPA_RecipeInfo : IBaseEntity, IGroupId
    {
        /// <summary>
        /// 配方分组Id
        /// </summary>
        public string RecipeGroupId { get; set; }
        /// <summary>
        /// 配方名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 配方类型
        /// </summary>
        public int RecipeType { get; set; }
        /// <summary>
        /// 基准克数
        /// </summary>
        public decimal BenchmarkGram { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }
        /// <summary>
        /// 加盟商id
        /// </summary>
        public string GroupId { get; set; }
    }
}
