﻿using BPA.SAAS.Manage.Comm.Enum;
using BPA.SAAS.Manage.Core.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.Org
{
    /// <summary>
    /// 组织机构
    /// </summary>
    [SugarTable("bpa_organize")]
    public class BPA_Organize: IBaseEntity, IGroupId
    {
        /// <summary>
        /// 机构名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 上级id
        /// </summary>
        public string Pid { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 加盟商id
        /// </summary>
        public string GroupId { get; set; }
        public int Sort { get; set; }
    }
}
